| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.VertexArrayObject

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_vertex_array_object extension, see http://www.opengl.org/registry/specs/ARB/vertex_array_object.txt.
Synopsis

glBindVertexArray :: GLuint -> IO ()
glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
glIsVertexArray :: GLuint -> IO GLboolean
gl_VERTEX_ARRAY_BINDING :: GLenum

Functions

glBindVertexArray :: GLuint -> IO () | Source

glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO () | Source

glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO () | Source

glIsVertexArray :: GLuint -> IO GLboolean | Source

Tokens

gl_VERTEX_ARRAY_BINDING :: GLenum | Source

Produced by Haddock version 2.4.2